% pick your favorite mean and standard deviation
mu = 20.;
sigma = 2.;

% pick low and high bounds for N = number of values
N_low = 10;
N_high = 200;

% array of all the N values
Ns = N_low:1:N_high;

% allocation of arrays for storage of estimates
mu_est = zeros(1,N_high-N_low+1);
sig_est = zeros(1,N_high-N_low+1);

% loop over N values
for N = N_low:N_high
    % create the random numbers
    x = (randn(N,1) .* sigma) + mu;

    % index for storage arrays (lowest value = 1, highest = N_high)
    i = N-N_low+1;
    
    % estimate and store the mean and standard deviation
    mu_est(i) = sum(x)/N;
    sig_est(i) = sqrt(sum((x-mu_est(i)).^2)/(N-1));
end

% estimated standard deviation in the mean
sig_mu_est = sig_est ./ sqrt(Ns);

% plot the mean estimates vs. the N values
hold off;
plot(Ns,mu_est,'.');
hold on;

% over plot the standard error in the mean as errorbars
errorbar(Ns,mu_est,sig_mu_est);
hold off;
