function xvderiv = orbitfunc_complete(t,xv)

% Gravitational constant times mass of Earth
GM = 3.986004418e14;

% radius
r = sqrt(sum(xv(1:3,1) .^ 2));

xvderiv = zeros(6,1);

% derivative of position vector
xvderiv(1,1) = xv(4,1);
xvderiv(2,1) = xv(5,1);
xvderiv(3,1) = xv(6,1);

% derivative of velocity vector
xvderiv(4,1) = -GM*xv(1,1)/r^3;
xvderiv(5,1) = -GM*xv(2,1)/r^3;
xvderiv(6,1) = -GM*xv(3,1)/r^3;
